@import '/styles/global.css';
@import '/styles/HeaderManager.css';
@import '/styles/FooterManager.css';
@import '/styles/SignupElement.css';
@import '/styles/CookieConsent/CookieConsent.css';
@import '/styles/CookieConsent/CookiePreferences.css';
@import '/styles/WebDevCarousel.css';
@import '/styles/ContactElement.css';


.website-introduction {
    max-width: 800px;
    text-align: center;
    padding: 50px 20px;
    margin: 0 auto;
}
.intro-title {
    padding-bottom: 25px;
}
.website-introduction .inline-links {
    padding-top: 20px;
}

/*--- Comprehensive Web Design ---*/
.compr-design {
    max-width: 1500px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 100px 0px;
    margin: 0 auto;
    gap: 20px
}
.compr-design-develop {
    width: 40%;
    padding: 50px 70px 50px 0px;
    margin-left: 120px;
}
.compr-design-services {
    padding: 50px 90px;
    background-color: var(--color-accent-e);
    border-top-left-radius: 40px 40px;
    border-bottom-right-radius: 40px 40px;
    width: 40%;
    margin-right: 120px;
}
.compr-design-services h3 {
    color: var(--color-white);
    text-transform: uppercase;
    padding-bottom: 20px;
    margin-left: -14px;
}
.compr-design-services li {
    display: flex;
    color: var(--color-white);
    padding-bottom: 10px;
    margin-left: 0;
}
.compr-design-services li img {
    margin-left: 0;
    margin-right: 15px;
}
/* webdev-carousel styling found in (/styles/WebDevCarousel.css) */
/*---- How We Approach Our Projects SECTION --------------*/

.approach-container {
    text-align: center;
    padding: 80px 20px 30px 20px;
    max-width: 800px;
}
.approach-container h2 {
    text-transform: capitalize;
    padding-bottom: 20px;
}
.approach-phases {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 600px;
    padding-top: 30px;
    margin: 0 auto;
    overflow: hidden;
}

.phase {
    padding: 20px;
    text-align: center;
}
.phase img {
    width: 35px;
    display: block;
    margin: 0 auto;
}
.phase h4 {
    padding: 15px 0 20px 0;
    text-transform: uppercase;
}
.vert-sep {
    height: 80px;
    max-width: 20px;
    border-right: 1px solid ;
}
.phase:last-child {
    padding-bottom: 70px;
}

  /*____OUR PORTFOLIO SLIDER_________________*/
  .web-slider {
    position: relative;
    max-width: 1200px;
    overflow: hidden;
    padding: 120px 20px;
    margin: 0 auto;
  }
  .web-slider h2{
    text-align: center;
    padding-bottom: 40px;
  }
  .slide {
    width: 90%;
    height: 400px;
    object-fit: cover;
    display: none;
  }
  .displaySlide {
    display: block;
  }
  
  .pic-slider button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2rem;
    padding-inline: 20px;
    background-color: transparent;
    color: hsla(0, 0%, 0% 0.5);
    border: none;
    cursor: pointer;
  }
  .previous {
    left: 0;
  }
  .next {
    right: 0;
  }
 


   /*_____________________*/

   /* desktops*/
@media (max-width: 1440px) {
    .compr-design-develop {
        padding: 50px 0px 50px 0px;
    }
    .compr-design-services {
        padding: 50px 60px;
        width: 35%;
    }
}


@media (max-width: 1024px) {
    
    .compr-design-develop {
        width: 45%;
        padding: 50px 20px 50px 0px;
        margin-left: 20px;
    }
    .compr-design-services {
        padding: 50px 60px;
        width: 50%;
        margin-right: 20px;
    }
}



 /* SMALLER TABLETS LARGE PHONES  */
 @media (max-width: 768px) {
    
    
    .compr-design-develop {
        width: 41%;
        padding: 50px 20px 50px 0px;
        margin-left: 20px;
    }
    .compr-design-services {
        padding: 30px 20px 30px 30px; 
        width: 50%;
    }
    .compr-design-services li {
        font-size: .9rem; 
    }
 }
  


/* SMALLER TABLETS LARGE PHONES  */
@media (max-width: 576px) {
    .website-introduction {
        padding: 30px 20px;
    }
    .website-introduction .inline-links {
        display: block;
    }
    .website-introduction .inline-links a {
        margin-inline: 30px;
    }
  
    /*--- Comprehensive Web Design ---*/
    .compr-design {
        max-width: 1500px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 50px 20px;
        margin: 0 auto;
        gap: 20px
    }
    .compr-design-develop {
        width: 100%;
        padding: 0px 0px 30px 0px;
        margin-left: 20px;
        margin-right: 20px
    }

    .compr-design-services {
        margin-top: 0px;
        padding: 50px 5% 30px 10%;
        margin-left: 20px;
        margin-right: 20px;
        width: 100%;
    }
    .compr-design-services li {
        color: var(--color-white);
        padding-bottom: 10px;
        line-height: 1.1rem;
        list-style-type: '✓';
        list-style-position: outside;
    }

    
   
    /*----- WebDev CAROUSEL MOBILE  -----*/
    .webdev-carousel {
        margin-top: 70px;
        margin-bottom: 90px;
    }
    .webdev-carousel h2{
        text-align: left;
    }
    .webdev-carousel p {
        text-align: left;
    }
    .slider__wrapper .webdev__list {
        gap: 10px;
        grid-template-columns: repeat(7, 280px);
        margin-top: 0px;
    } 
    .slider__wrapper .webdev__list .webdev__item {
        width: 280px;
        height: 320px;
        background-color: #46516E;
        color: #fff;
        object-fit: cover;
        padding: 110px 15px 0 20px;
    }
    /*-------------------------*/
    .aesthetic-banner {
      display: none;
    }
    .aesthetic-banner__mobile {
      display: flex;
      flex-direction: column;
    }
    .aesthetic-banner__image--mobile {
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
    }
    .aesthetic-banner__text__mobile {
      background-color: var(--color-accent-e);
      color: var(--color-white);
      padding: 50px 20px;
    }
    .aesthetic-banner__text__mobile p {
      color: var(--color-white);
      padding-bottom: 20px;
    }
    .aesthetic-banner__text__mobile a {
        color: var(--color-white);
        text-transform: uppercase;
        font-family: "Inter";
    }

    


    
    /*---- Approach to Projects Mobile --------------*/
    .approach-container {
        background-color: var(--color-white);
        padding: 20px;
    }
    .approach-container h2 {
        text-align: left;
        padding-top: 40px 20px 20px 20px;
    }
    .approach-container p {
        text-align: left;
    }
    .approach-phases {
        padding-top: 0px;
    }
    .phase {
        margin: 10px 20px;
        padding:  0 20px;
        text-align: left;
        background-color: var(--color-grey-background);
    }
    .phase img {
        margin-left: 0;
    }
    .phase h4,
    .phase p {
        text-align: left;
    }
    .vert-sep {
        display: none;
    }
/*-------------------------*/
/*____OUR PORTFOLIO SLIDER_________________*/
.web-slider {
    position: relative;
    max-width: 1200px;
    overflow: hidden;
    padding: 50px 20px;
    margin: 0 auto;
  }
.slide {
    display: none;
}

.displaySlide {
    display: block;
}


}


